[ooo-build-commit] Branch 'ooo-build-3-1-1' - bin/unpack download.in patches/dev300
René Engelhard
rene at kemper.freedesktop.org
Mon Dec 7 16:52:12 PST 2009
bin/unpack | 9 +++++++++
download.in | 3 +++
patches/dev300/cws-mysqlnative-20090916.diff | 10 ++--------
3 files changed, 14 insertions(+), 8 deletions(-)
New commits:
commit 28e58f7f17a8470372693d21a904e83ef3e1a7f3
Author: Rene Engelhard <rene at debian.org>
Date: Tue Dec 8 00:43:13 2009 +0100
fix build with internal mysqlcppconn
* bin/unpack: copy mysql-connector-cpp.zip into the tree
* download.in: add URL for mysql-connector-cpp.zip
* patches/dev300/cws-mysqlnative-20090916.diff: remove bogus conditional
diff --git a/bin/unpack b/bin/unpack
index 9e163ac..d5b63a3 100755
--- a/bin/unpack
+++ b/bin/unpack
@@ -846,4 +846,13 @@ if test "x$OXYGEN_IMAGES_TAR" != "x"; then
$GNUCP -a $SRCDIR/$OXYGEN_IMAGES_TAR $OOBUILDDIR/external_images/ooo_oxygen_images.tar.gz || exit 1
fi
+if echo $PROPAGATED_ARGS | grep -q enable-mysql-connector; then
+ if ! echo $PROPAGATED_ARGS | grep -q system-mysqlcppconn; then
+ check_tarball $SRCDIR/mysql-connector-cpp.zip
+ echo "Copying mysql-connector-cpp.zip into the tree"
+ mkdir -p $OOBUILDDIR/mysqlcppconn/download
+ $GNUCP -a $SRCDIR/mysql-connector-cpp.zip -d $OOBUILDDIR/mysqlcppconn/download || exit 1
+ fi
+fi
+
fi # PIECES hack
diff --git a/download.in b/download.in
index 0fdeed5..3c9ff95 100755
--- a/download.in
+++ b/download.in
@@ -122,6 +122,9 @@ sub trim($)
# Numbertext extension
'numbertext-*' => 'ftp://ftp.devall.hu/kami/go-oo/'
+
+# MySQL Connector/C++
+ 'mysql-connector-cpp.zip' => 'http://svn.services.openoffice.org/ooo/cws/mysqlnative/mysqlcppconn/download/mysql-connector-cpp.zip'
);
if ( '@UPSTREAM_NAME@' ne '' ) {
diff --git a/patches/dev300/cws-mysqlnative-20090916.diff b/patches/dev300/cws-mysqlnative-20090916.diff
index bec9950..221c015 100644
--- a/patches/dev300/cws-mysqlnative-20090916.diff
+++ b/patches/dev300/cws-mysqlnative-20090916.diff
@@ -2,7 +2,7 @@ Index: mysqlcppconn/mysql_config.pmk
===================================================================
--- mysqlcppconn/mysql_config.pmk (.../tags/OOO310_m10) (Revision 0)
+++ mysqlcppconn/mysql_config.pmk (.../cws/mysqlnative) (Revision 275542)
-@@ -0,0 +1,55 @@
+@@ -0,0 +1,49 @@
+#*************************************************************************
+#
+# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
@@ -40,13 +40,7 @@ Index: mysqlcppconn/mysql_config.pmk
+ .ENDIF
+.ENDIF
+
-+.IF "$(GUI)"!="WNT"
-+
-+.IF "$(SYSTEM_MYSQL)" == "YES"
-+ MYSQL_LIB+=-lmysqlcppconn
-+.ENDIF
-+
-+.ELSE # "$(GUI)"!="WNT"
++.IF "$(GUI)"=="WNT"
+
+CFLAGS+=-DCPPDBC_WIN32 -D_CRT_SECURE_NO_WARNINGS -D_SCL_SECURE_NO_WARNINGS
+
More information about the ooo-build-commit
mailing list